package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdRecordTransfer;
import com.dhcc.finance.main.domain.CwBdRecordTransferExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdRecordTransferMapper {
    long countByExample(CwBdRecordTransferExample example);

    int deleteByExample(CwBdRecordTransferExample example);

    int deleteByPrimaryKey(String id);

    int insert(CwBdRecordTransfer record);

    int insertSelective(CwBdRecordTransfer record);

    List<CwBdRecordTransfer> selectByExample(CwBdRecordTransferExample example);

    CwBdRecordTransfer selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CwBdRecordTransfer record, @Param("example") CwBdRecordTransferExample example);

    int updateByExample(@Param("record") CwBdRecordTransfer record, @Param("example") CwBdRecordTransferExample example);

    int updateByPrimaryKeySelective(CwBdRecordTransfer record);

    int updateByPrimaryKey(CwBdRecordTransfer record);
}